> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Glossary Category

> Glossary Category endpoints: Create Glossary Category, Get Glossary Category, Get Glossary Categories, Update Glossary Category, Delete Glossary Category

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Glossary Category",
            "description": "Glossary Category endpoints: Create Glossary Category, Get Glossary Category, Get Glossary Categories, Update Glossary Category, Delete Glossary Category",
            "url": "https://docs.dqlabs.ai/api-reference/governance/glossary-category",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Glossary Category">
    `POST /api/v1/governance/glossary-category`

    Create a new glossary category

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new glossary category",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Glossary Category">
    `GET /api/v1/governance/glossary-category/{glossaryCategoryId}`

    Get a glossary category by ID

    **Path Parameters**

    <ParamField path="glossaryCategoryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"Vendor Attributes"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"Name of the Original Equipment Manufacturer responsible for the asset or product."`.
      </ResponseField>

      <ResponseField name="source" type="string" />

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="glossary_id" type="string">
        Example: `"cfe79044-4173-4ad1-b9a7-edbf22ac0e35"`.
      </ResponseField>

      <ResponseField name="domain_id" type="string">
        Example: `"51228e06-8b96-489e-be9a-93e4f4e7e9c2"`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string" />

      <ResponseField name="status" type="string">
        Example: `"PENDING"`.
      </ResponseField>

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_likes" type="string" />

      <ResponseField name="total_dislikes" type="string" />

      <ResponseField name="owner" type="string" />

      <ResponseField name="total_views" type="integer">
        Example: `1`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_deleted" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="definition" type="string" />

      <ResponseField name="context" type="string" />

      <ResponseField name="who_should_use_this" type="string" />

      <ResponseField name="id" type="string">
        Example: `"12121089-adca-46ae-85f0-441bbb7eccea"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T08:11:10.293430Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-21T06:39:16.470323Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
      </ResponseField>

      <ResponseField name="modified_by" type="string" />

      <ResponseField name="parents" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"cfe79044-4173-4ad1-b9a7-edbf22ac0e35"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Default Glossary"`.
        </ResponseField>

        <ResponseField name="description" type="string" />

        <ResponseField name="type" type="string">
          Example: `"glossary"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="domain" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"51228e06-8b96-489e-be9a-93e4f4e7e9c2"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Domain Test 7"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"Domain Test 7"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="viewers" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"08ba2090-a236-4538-a671-fca112ca8ad2"`.
        </ResponseField>

        <ResponseField name="viewed_at" type="string">
          Example: `"2026-09-21T10:32:25.372466+00:00"`.
        </ResponseField>

        <ResponseField name="name" type="string" />

        <ResponseField name="email" type="string">
          Example: `"rejeesh@dqlabs.ai"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="context_freshness" type="object">
        <ResponseField name="description" type="string" />

        <ResponseField name="owner_verified" type="string" />
      </ResponseField>

      <ResponseField name="recent_conversations" type="string" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a glossary category by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "name": "Vendor Attributes",
        "description": "Name of the Original Equipment Manufacturer responsible for the asset or product.",
        "source": null,
        "parent_id": null,
        "glossary_id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
        "domain_id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
        "qualified_name": null,
        "status": "PENDING",
        "total_conversations": 0,
        "total_likes": null,
        "total_dislikes": null,
        "owner": null,
        "total_views": 1,
        "is_active": true,
        "is_deleted": false,
        "definition": null,
        "context": null,
        "who_should_use_this": null,
        "id": "12121089-adca-46ae-85f0-441bbb7eccea",
        "created_at": "2026-09-20T08:11:10.293430Z",
        "modified_at": "2026-09-21T06:39:16.470323Z",
        "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
        "modified_by": null,
        "parents": [
          {
            "id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
            "name": "Default Glossary",
            "description": null,
            "type": "glossary"
          }
        ],
        "domain": [
          {
            "id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
            "name": "Domain Test 7",
            "label": "Domain Test 7"
          }
        ],
        "viewers": [
          {
            "id": "08ba2090-a236-4538-a671-fca112ca8ad2",
            "viewed_at": "2026-09-21T10:32:25.372466+00:00",
            "name": null,
            "email": "rejeesh@dqlabs.ai"
          }
        ],
        "context_freshness": {
          "description": null,
          "owner_verified": null
        },
        "recent_conversations": null
      }
    }
    ```
  </Tab>

  <Tab title="Get Glossary Categories">
    `POST /api/v1/governance/glossary-category/list`

    Get glossary categories with optional filtering

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"Vendor Attributes"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Name of the Original Equipment Manufacturer responsible for the asset or product."`.
        </ResponseField>

        <ResponseField name="glossary_id" type="string">
          Example: `"cfe79044-4173-4ad1-b9a7-edbf22ac0e35"`.
        </ResponseField>

        <ResponseField name="domain_id" type="string">
          Example: `"51228e06-8b96-489e-be9a-93e4f4e7e9c2"`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"PENDING"`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_views" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="is_deleted" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"12121089-adca-46ae-85f0-441bbb7eccea"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T08:11:10.293430Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-20T17:02:48.315889Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="domain" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"51228e06-8b96-489e-be9a-93e4f4e7e9c2"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"Domain Test 7"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"Domain Test 7"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="viewers" type="object[]" />
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `396`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]">
        <ResponseField name="title" type="string">
          Example: `"ALL"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `396`.
        </ResponseField>

        <ResponseField name="trend" type="string">
          Example: `"up"`.
        </ResponseField>

        <ResponseField name="trendValue" type="string">
          Example: `"0"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"glossary_category"`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get glossary categories with optional filtering",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "Vendor Attributes",
            "description": "Name of the Original Equipment Manufacturer responsible for the asset or product.",
            "glossary_id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
            "domain_id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
            "status": "PENDING",
            "total_conversations": 0,
            "total_views": 0,
            "is_active": true,
            "is_deleted": false,
            "id": "12121089-adca-46ae-85f0-441bbb7eccea",
            "created_at": "2026-09-20T08:11:10.293430Z",
            "modified_at": "2026-09-20T17:02:48.315889Z",
            "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "domain": [
              {
                "id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
                "name": "Domain Test 7",
                "label": "Domain Test 7"
              }
            ],
            "viewers": []
          }
        ],
        "total_count": 396,
        "metrics": [
          {
            "title": "ALL",
            "value": 396,
            "trend": "up",
            "trendValue": "0",
            "type": "glossary_category"
          }
        ]
      }
    }
    ```
  </Tab>

  <Tab title="Update Glossary Category">
    `PUT /api/v1/governance/glossary-category/{glossaryCategoryId}`

    Update a glossary category

    **Path Parameters**

    <ParamField path="glossaryCategoryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a glossary category",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Glossary Category">
    `DELETE /api/v1/governance/glossary-category/{glossaryCategoryId}`

    Delete a glossary category

    **Path Parameters**

    <ParamField path="glossaryCategoryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a glossary category",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
